# ProjectReportsPlugin

@NullMarked
abstract class ProjectReportsPlugin : Plugin<T>

A Plugin which adds some project visualization report tasks to a project.

#### See also

<a href="https://docs.gradle.org/current/userguide/project_report_plugin.html">Project Report plugin reference</a>

## Constructors

ProjectReportsPlugin
Link copied to clipboard
constructor()

## Properties

DEPENDENCY_REPORT
Link copied to clipboard
val DEPENDENCY_REPORT: String = "dependencyReport"
HTML_DEPENDENCY_REPORT
Link copied to clipboard
val HTML_DEPENDENCY_REPORT: String = "htmlDependencyReport"
PROJECT_REPORT
Link copied to clipboard
val PROJECT_REPORT: String = "projectReport"
PROPERTY_REPORT
Link copied to clipboard
val PROPERTY_REPORT: String = "propertyReport"
TASK_REPORT
Link copied to clipboard
val TASK_REPORT: String = "taskReport"

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)